org.codehaus.groovy.runtime

## Class MethodClosure

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - groovy.lang.Closure
    - - org.codehaus.groovy.runtime.MethodClosure

All Implemented Interfaces:
  GroovyCallable, GroovyObject, java.io.Serializable, java.lang.Cloneable, java.lang.Runnable, java.util.concurrent.Callable

    public class MethodClosure
    extends Closure

Represents a method on an object using a closure which can be invoked at any time

Author:
  James Strachan
See Also:
  Serialized Form

### Field Summary

Fields
`static boolean` `ALLOW_RESOLVE`

### Fields inherited from class groovy.lang.Closure

`DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

### Constructor Summary

Constructors
Constructor and Description
`MethodClosure(java.lang.Object owner, java.lang.String method)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.Object` `doCall(java.lang.Object arguments)`
`java.lang.String` `getMethod()`
`java.lang.Object` `getProperty(java.lang.String property)` Retrieves a property value.

### Methods inherited from class groovy.lang.Closure

`asWritable, call, call, call, clone, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDelegate, setDirective, setProperty, setResolveStrategy, throwRuntimeException, trampoline, trampoline`

### Methods inherited from class groovy.lang.GroovyObjectSupport

`getMetaClass, invokeMethod, setMetaClass`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALLOW_RESOLVE

    public static boolean ALLOW_RESOLVE

### Constructor Detail

#### MethodClosure

    public MethodClosure(java.lang.Object owner,
                         java.lang.String method)

### Method Detail

#### getMethod

    public java.lang.String getMethod()

#### doCall

    protected java.lang.Object doCall(java.lang.Object arguments)

#### getProperty

    public java.lang.Object getProperty(java.lang.String property)

Description copied from interface: `GroovyObject`
Retrieves a property value.

Specified by:
  `getProperty` in interface `GroovyObject`
Overrides:
  `getProperty` in class `Closure`
Parameters:
  `property` - the name of the property of interest
Returns:
  the given property